<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/effects/ambientparticleeffect[@name='breezeRight']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/ambientparticleeffect[@name='breezeRight']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">4</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/ambientparticleeffect[@name='mistUpSepia']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/ambientparticleeffect[@name='mistUpSepia']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">8</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='wogcSmoke']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='wogcSmoke']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">15</xsl:attribute>
      <xsl:attribute name="rate">0.05</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='sleepyZzz']/particle">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='sleepyZzz']/particle/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="scale">0.267</xsl:attribute>
      <xsl:attribute name="finalscale">1.067</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='worldMap_FactorySmoke']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='worldMap_FactorySmoke']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">19</xsl:attribute>
      <xsl:attribute name="rate">0.3</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='worldMap_FactorySmoke']/particle">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='worldMap_FactorySmoke']/particle/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="rotspeed">-2,2</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='gentleFactorySmokeSepia']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='gentleFactorySmokeSepia']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">15</xsl:attribute>
      <xsl:attribute name="rate">0.042</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects/particleeffect[@name='ISH_undeleteFizz']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/effects/particleeffect[@name='ISH_undeleteFizz']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="maxparticles">1</xsl:attribute>
      <xsl:attribute name="rate">0.02</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/effects">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
      <particleeffect name="zBombBurn" maxparticles="3" rate="0.2">
        <particle image="IMAGE_FX_FIREMAIN1"
                  directed="false" 
                  rotspeed="-4,-2"
                  rotation="-180,180"
                  scale="0.3,0.6"
                  finalscale="0.1" 
                  fade="true" 
                  additive="true"
                  lifespan="0.5,0.8"
                  speed="1.5" 
                  movedir="90" 
                  movedirvar="12" 
                  acceleration="0,0.12"/>
        <particle image="IMAGE_FX_FIREMAIN2"
                  directed="false" 
                  rotspeed="-4,-2"
                  rotation="-180,180"
                  scale="0.3,0.6"
                  finalscale="0.02" 
                  fade="true" 
                  additive="true"
                  lifespan="0.5,0.8"
                  speed="1.5" 
                  movedir="90" 
                  movedirvar="5" 
                  acceleration="0,0.12"/>
      </particleeffect>
    </xsl:copy>
  </xsl:template>
</xsl:transform>
