<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:apply-templates />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@depth='-96']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@depth='-96']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="animspeed">0.03</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@depth='-192']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@depth='-192']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="depth">-240</xsl:attribute>
      <xsl:attribute name="scalex">1.285</xsl:attribute>
      <xsl:attribute name="scaley">1.285</xsl:attribute>
      <xsl:attribute name="rotation">-45</xsl:attribute>
      <xsl:attribute name="colorize">100,100,100</xsl:attribute>
      <xsl:attribute name="animspeed">0.045</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@depth='-288']" />
  <xsl:template match="/scene/SceneLayer[@depth='-384']">
    <xsl:element name="{name()}">
      <xsl:for-each select="/scene/SceneLayer[@depth='-384']/@*">
        <xsl:attribute name="{name()}">
          <xsl:value-of select="." />
        </xsl:attribute>
      </xsl:for-each>
      <xsl:attribute name="scalex">0.918</xsl:attribute>
      <xsl:attribute name="scaley">0.918</xsl:attribute>
      <xsl:attribute name="rotation">-90</xsl:attribute>
      <xsl:attribute name="colorize">60,60,60</xsl:attribute>
      <xsl:attribute name="animspeed">0.06</xsl:attribute>
      <xsl:apply-templates />
    </xsl:element>
  </xsl:template>
  <xsl:template match="/scene/SceneLayer[@animspeed='-1.111']" />
</xsl:transform>
